package uk.ac.cf.spring.demo.sports.rankingtable;

import org.springframework.stereotype.Service;

import java.util.List;
@Service

public interface RankingService {

    List<RankingTable> getAllRankings();


    List<RankingTable> getRankingsBySport(String sport);


    void updateRanking(Long userId, String sport, int wins);


    void processCompletedMatches();

    List<RankingTable> getAllRankingsSortedByWins(String order);

    List<RankingTable> getRankingsBySportAndOrder(String sport, String order);

    List<TotalWinsDTO> getTotalWinsByAll(String order);


}
