package uk.ac.cf.spring.demo;

import org.junit.jupiter.api.Test;
import uk.ac.cf.spring.demo.sports.match.MatchItem;

import java.time.LocalDateTime;
public class TrueUnitTests {
    //    测试MatchItem的getter和setter方法
    @Test
    public void testGettersAndSetters() {
        // 创建一个 MatchItem 对象
        MatchItem matchItem = new MatchItem();

        // 测试 id 的 getter 和 setter
        matchItem.setId(1L);
        assert matchItem.getId() == 1L : "Test failed for id";

        // 测试 sport 的 getter 和 setter
        matchItem.setSport("football");
        assert "football".equals(matchItem.getSport()) : "Test failed for sport";

        // 测试 playerAId 的 getter 和 setter
        matchItem.setPlayerAId(10L);
        assert matchItem.getPlayerAId() == 10L : "Test failed for playerAId";

        // 测试 playerBId 的 getter 和 setter
        matchItem.setPlayerBId(20L);
        assert matchItem.getPlayerBId() == 20L : "Test failed for playerBId";

        // 测试 PlanTime 的 getter 和 setter
        LocalDateTime now = LocalDateTime.now();
        matchItem.setPlanTime(now);
        assert now.equals(matchItem.getPlanTime()) : "Test failed for PlanTime";

        // 测试 status 的 getter 和 setter
        matchItem.setStatus("confirmed");
        assert "confirmed".equals(matchItem.getStatus()) : "Test failed for status";

        // 测试 scoreA 的 getter 和 setter
        matchItem.setScoreA(5L);
        assert matchItem.getScoreA() == 5L : "Test failed for scoreA";

        // 测试 scoreB 的 getter 和 setter
        matchItem.setScoreB(3L);
        assert matchItem.getScoreB() == 3L : "Test failed for scoreB";

        // 测试 confirmByA 的 getter 和 setter
        matchItem.setConfirmByA(true);
        assert matchItem.getConfirmByA() : "Test failed for confirmByA";

        // 测试 confirmByB 的 getter 和 setter
        matchItem.setConfirmByB(false);
        assert !matchItem.getConfirmByB() : "Test failed for confirmByB";

        // 测试 winnerId 的 getter 和 setter
        matchItem.setWinnerId(10L);
        assert matchItem.getWinnerId() == 10L : "Test failed for winnerId";

    }

}